<?xml version="1.0" encoding="utf-8"?>
<layout xmlns:android="http://schemas.android.com/apk/res/android" xmlns:tools="http://schemas.android.com/tools"
        xmlns:xmln="http://schemas.android.com/apk/res-auto" xmlns:app="http://schemas.android.com/apk/res-auto">



    <data>
        <variable
                name="viewModel"
                type="com.example.xebiametautbenjamin.ui.cart.recyclerview.CartRecyclerViewViewModel"/>
        <variable
                name="adapter"
                type="com.example.xebiametautbenjamin.ui.cart.recyclerview.CartRecyclerViewAdapter"/>

    </data>

    <androidx.constraintlayout.widget.ConstraintLayout
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:background="@color/colorPrimaryDark"
            android:orientation="vertical"
            app:error="@{viewModel.error}"
            tools:context=".ui.books.BooksActivity">

        <ProgressBar
                android:id="@+id/books_list_progress"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:elevation="5dp"
                android:visibility="@{safeUnbox(viewModel.loading)}"
                xmln:layout_constraintBottom_toBottomOf="parent"
                xmln:layout_constraintEnd_toEndOf="parent"
                xmln:layout_constraintStart_toStartOf="parent"
                xmln:layout_constraintTop_toTopOf="parent"/>

        <androidx.recyclerview.widget.RecyclerView
                android:id="@+id/books_recycler_view"
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                tools:itemCount="10"
                android:adapter="@{adapter}"
                tools:listitem="@layout/fragment_books_item"

        />




    </androidx.constraintlayout.widget.ConstraintLayout>

</layout>